#!/bin/sh 
#
# This should be done at initial booting after installation.
# requires:
#	apache_mod_ssl-2.8.10-1.3.26
#
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache
PHP4_DIR=$ROOT/opt/php4

# sybolic links
(cd $ROOT/usr/doc/php-4.2.3;
 rm -rf apache;
 ln -sf ../apache_mod_ssl-2.8.10-1.3.26 apache;
 )
if [ ! -f $ROOT/lib/libdb-3.2.so ]; then
  if [ -f $ROOT/lib/libdb-3.1.so ]; then
    ln -sf  $ROOT/lib/libdb-3.1.so $ROOT/lib/libdb-3.2.so
  else
    if [ ! -f $ROOT/usr/lib/libdb-3.2.so ]; then
      if [ -f $ROOT/usr/lib/libdb-3.1.so ]; then
        ln -sf  $ROOT/usr/lib/libdb-3.1.so $ROOT/usr/lib/libdb-3.2.so
      fi
    fi
  fi
  /sbin/ldconfig
fi

# copy namazu logo
if [ ! -f $ROOT/usr/share/namazu/etc/namazu.png ]; then
 cp -f $ROOT/usr/share/namazu/etc/namazu.png $APACI_DIR/htdocs
fi

cd $ROOT/

# ( DONOT CHANGE THE NEXT ONE LINE )
# Add PHP4 Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "PHP-4.2.3" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then
    APACI_DIR=$ROOT/opt/apache
    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> PHP-4.2.3
    ( <A
	HREF="http://jp.php.net/"
      >http://jp.php.net/</A>
      |
      <A
	HREF="http://www.php.gr.jp/"
      >http://www.php.gr.jp/</A>
    )<BR>
     (Server-side Scripting Language)<BR>
     <A
      HREF="php-4.2.3/"
     >documentation</A>,
     <A
      HREF="php-4.2.3/manual-ja/"
     >manual-ja</A>
<BR>
    </P>
EOL
  fi
  ln -sf $ROOT/usr/doc/php-4.2.3 $APACI_DIR/htdocs/php-4.2.3
  cp -f $APACI_DIR/conf/httpd.conf $APACI_DIR/conf/httpd.conf.old
  if [ -f $APACI_DIR/conf/httpd.conf ]; then
    patch $APACI_DIR/conf/httpd.conf $APACI_DIR/conf/httpd.conf-php4.patch-plamo
    $APACI_DIR/bin/apxs  -e -a -n php4 $APACI_DIR/libexec/libphp4.so
  fi

  HNAME=`hostname -s`
  IPADR=`hostname -i`
  NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $2}' `
  if [ "$NNAME" = "$HNAME" ] ; then
    NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $3}' `
  fi
  if [ "$NNAME" != "" ] ; then
    mv $APACI_DIR/conf/httpd.conf $APACI_DIR/conf/httpd.conf.bak
    sed -e "s/LOCALHOST/$NNAME/" $APACI_DIR/conf/httpd.conf.bak \
	  > $APACI_DIR/conf/httpd.conf
  fi

  chown root.apache $APACI_DIR/libexec/libphp4.so \
	$APACI_DIR/conf/httpd.conf \
  	$APACI_DIR/icons/php4* 
  chown wadm.apache $APACI_DIR/htdocs/index.php.*
  chmod go+r $APACI_DIR/htdocs/index.php.*

  #if [ ! -f $PHP4_DIR/lib/php.ini ]; then
  #  sed -e "s%LIB_DIR%$PHP4_DIR/lib%" $PHP4_DIR/lib/php.ini-dist \
  #	  > $PHP4_DIR/lib/php.ini
  #fi
  chown root.apache $PHP4_DIR/lib/php.ini
  chmod go+r $PHP4_DIR/lib/php.ini
  chown -R root.apache $PHP4_DIR/lib/php
  chmod -R go-w $PHP4_DIR/lib/php
  chmod -R go+rX $PHP4_DIR/lib/php

  $APACI_DIR/bin/apachectl stop
  sleep 1
  $APACI_DIR/bin/apachectl startssl

else
  awk '/Add PHP4 Entry/,/#EOS1/' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS1
